"""Automatic verification that the ANUGA code validates against the okushiri
dataset as expected. See anuga_validation/okushiri_2005 for more details
"""

import unittest
import os

import run_dam

class Test_uq(unittest.TestCase):
    def setUp(self):
        pass
        

    def tearDown(self):
        # Remove garbage
        for file in os.listdir('.'):
            if file.endswith('.stdout') or\
               file.endswith('.tsh'):
                os.remove(file)
                
    def test_that_output_is_as_expected(self):
        norm = run_dam.main()
        #print "norm",norm 
        self.failUnless(norm <= 0.083,
                        'Validation fail.')


#-------------------------------------------------------------
if __name__ == "__main__":
    suite = unittest.makeSuite(Test_uq,'test')
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(suite)
